ZlibCompressor.CompressionLevel (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.io.compress.zlib
Enum ZlibCompressor.CompressionLevel

    java.lang.Object
      java.lang.Enum<ZlibCompressor.CompressionLevel>
          org.apache.hadoop.io.compress.zlib.ZlibCompressor.CompressionLevel

All Implemented Interfaces:
  Serializable, Comparable<ZlibCompressor.CompressionLevel>

Enclosing class:
  ZlibCompressor

    public static enum ZlibCompressor.CompressionLevel

extends Enum<ZlibCompressor.CompressionLevel>

The compression level for zlib library.

Enum Constant Summary
`BEST_COMPRESSION` Compression level for best compression.
`BEST_SPEED` Compression level for fastest compression.
`DEFAULT_COMPRESSION` Default compression level.
`NO_COMPRESSION` Compression level for no compression.

Method Summary
`static ZlibCompressor.CompressionLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ZlibCompressor.CompressionLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_COMPRESSION

    public static final ZlibCompressor.CompressionLevel NO_COMPRESSION

  Compression level for no compression.

### BEST_SPEED

    public static final ZlibCompressor.CompressionLevel BEST_SPEED

  Compression level for fastest compression.

### BEST_COMPRESSION

    public static final ZlibCompressor.CompressionLevel BEST_COMPRESSION

  Compression level for best compression.

### DEFAULT_COMPRESSION

    public static final ZlibCompressor.CompressionLevel DEFAULT_COMPRESSION

  Default compression level.

Method Detail

### values

    public static ZlibCompressor.CompressionLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ZlibCompressor.CompressionLevel c : ZlibCompressor.CompressionLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ZlibCompressor.CompressionLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation